/**
 * Cores
 * 
 * Azul de fundo: #2d3035
 * Azul claro: #1b76c7
 * Cinza da fonte: #fefefe
 * 
 * */

/* GERAL */
* {
	padding: 0px;
	margin: 0px;
}
html, body {
	font-family: 'Poppins', sans-serif;
	background-color: #f8f9fa;
	margin: 0; padding: 0; overflow-x: hidden;
	scroll-behavior: smooth;
}
section[id] {
	scroll-margin-top: 110px;
}
.bg-gray {
	background-color: #33383d;
}
.scrollToTop {
	background-color: #fff;
	border-radius: 65px;
	bottom: 20px;
	box-shadow: 2px 3px 19px -2px rgba(0, 0, 0, .75);
	color: #d9a000;
	cursor: pointer;
	border-radius: 50%;
	width: 60px;
	height: 60px;
	position: fixed;
	right: 20px;
	z-index: 3;
	margin-top: 10px;
}
.img-top {
	height: 30px;
	margin-top: 15px;
}
.scrollToWa {
	border-radius: 65px;
	left: 20px;
	bottom: 20px;
	box-shadow: 2px 3px 19px -2px rgba(0, 0, 0, .75);
	color: #d9a000;
	cursor: pointer;
	border-radius: 50%;
	width: 60px;
	height: 60px;
	position: fixed;
	z-index: 3;
	margin-top: 10px;
}
.img-wa {
	height: 60px;
}

/* NAV */
.navbar-azul {
	background-color: #2d3035;
}
.img-logo {
	height: 120px;
}
.nav-link {
	color: white;
	font-size: 18px;
}
.nav-link:hover {
	background-color: white;
	/*border-radius: 20px;*/
	color: #1b76c7;
}
/* Estado normal */
.navbar-custom {
	background-color: #2d3035;
	/*opacity: 0.8;*/
	transition: padding 0.3s ease, background-color 0.3s ease;
	padding-top: 0.75rem;
	padding-bottom: 0.75rem;
}
.navbar-custom.scrolled {
	opacity: 0.8;
	padding-top: 0.5rem;
	padding-bottom: 0.5rem;
}
.navbar-brand img {
	transition: height 0.3s ease;
	height: 60px;
}
.navbar-custom.scrolled .navbar-brand img {
	height: 40px; /* opcional: diminui a logo também */
}
.navbar-espacamento {
	padding-left: 80px !important;  /* Margem da esquerda */
	padding-right: 80px !important; /* Margem da direita */
}

/* Personalização do Botão Hambúrguer no Mobile */
.navbar-custom .navbar-toggler {
	border-color: rgba(255, 255, 255, 0.3); /* Borda em cinza claro translúcido */
	padding: 0.4rem 0.6rem;
}
.navbar-custom .navbar-toggler:focus {
	box-shadow: 0 0 0 0.25rem rgba(255, 255, 255, 0.15); /* Efeito suave ao clicar */
}
/* Deixa as 3 linhas do ícone em cinza claro (#d1d5db) */
.navbar-custom .navbar-toggler-icon {
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='%23d1d5db' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") !important;
}
/* Em telas menores (celulares), você pode diminuir a margem para não apertar muito o conteúdo */
@media (max-width: 768px) {
	.navbar-espacamento {
		padding-left: 15px !important;
		padding-right: 15px !important;
	}
}

/* MAIN */
main h2 {
	font-family: 'Raleway', sans-serif;
	border-bottom: solid 1px gray;
	color: #2d3035;
	padding-bottom: 20px;
	margin-bottom: 30px;
}
main i {
	color: black;
}

/* HERO */
.hero-section {
	background-image: url('../img/banner-hero.jpg');
	background-size: cover;      /* cobre toda a área */
	background-position: center 5%; /* centraliza a imagem */
	background-repeat: no-repeat;
	min-height: 100vh;           /* ocupa altura total da tela */
	padding-top: 100px;
	display: flex;
	align-items: center;
}
.hero-section h1{
	font-family: 'Raleway', sans-serif;
	font-size: 56px;
	font-size: clamp(1.8rem, 5vw, 3.2rem);
	line-height: 1.2;
}
/* NICHO */
#nicho {
	background-color: white;
}
.nicho-card {
	background: #f1f1f1;
	border-radius: 28px;
	padding: 40px 30px;
	text-align: left;
}
.nicho-card:hover {
	background: #062b4f;
}
.nicho-card:hover p.text-muted { 
	color: white !important; 
}
.nicho-card h5 {
	color: #864445;
}
.icon-circle {
	width: 56px;
	height: 56px;
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
}

/* QUEM SOMOS */
.quem-subtitle {
	font-family: 'Raleway', sans-serif;
}

/* ATUAÇÃO */
#atuacao {
	position: relative;
	background-image: url('../img/home-atuacao.jpg');
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	min-height: 100vh;
	display: flex;
	align-items: center;
	overflow: hidden;
}
/* Camada azul */
#atuacao::before {
	content: "";
	position: absolute;
	inset: 0;
	background: rgba(11, 45, 79, 0.85); /* azul transparente */
	z-index: 1;
}
/* Conteúdo acima do overlay */
#atuacao > .container {
	position: relative;
	z-index: 2;
}
#atuacao .card { transition: transform 0.3s ease; /* suaviza o movimento */ }
#atuacao .card:hover { transform: translateY(-20px); /* sobe 20px */ }

/* Obras */
/* Estado inicial (fora da tela) */
.reveal-left {
	opacity: 0;
	transform: translateX(-80px);
	transition: all 0.7s ease-out;
}
/* Quando entra na tela */
.reveal-left.active {
	opacity: 1;
	transform: translateX(0);
}
.gallery-link img {
	transition: transform 0.3s ease;
}
.gallery-link:hover img {
	transform: scale(1.05);
}

/* CONTATO */
#contato label {
	margin: 10px 0px;
}
.btn-custom {
	background-color: #2d3035;
	color: white;
}
.btn-custom:hover {
	background-color: #32363c;
	color: white;
}

/* FOOTER */
footer{
	background-color: #2d3035;
	color: black;
}
footer a {
	text-decoration: none;
	color: black;
}
footer i {
	font-size: 18px;
}
.text-light-blue {
	color: #1b76c7;
}

@media (max-width: 720px){
	.hero-section a {
		margin-bottom: 10px;
	}
	.text-justify-mobile {
		text-align: justify;
		text-justify: inter-word;
	}
	.btn-center-mobile {
		display: flex;
		justify-content: center;
	}
}